Subject: bug#71595: closed (Re: bug#71595: error message improvement: "only absolute run-paths are allowed")

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 03 Jul 2024 14:02:02 +0000

Your bug report

#71595: error message improvement: "only absolute run-paths are allowed"

which was filed against the libtool package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71595: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71595
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71595: error message improvement: "only absolute run-paths are allowed"
From: Ileana Dumitrescu <[email-masked]>
To: [email-masked], Karl Berry <[email-masked]>
Date: Wed, 3 Jul 2024 17:00:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/07/2024 01:24, Karl Berry wrote:
>      attached patch with a rework of the wording for the second case.
> 
> Looks perfect to me.

I am glad! I have applied it to development:
 
https://git.savannah.gnu.org/cgit/libtool.git/commit/?h=development&id=f5a7acee1db1b785ec2506e89026fb46ebd518a8

>      Here is the relevant commit for why the spacing was added:
>      ...
>      https://github.com/gnulib-modules/bootstrap/issues/33
> 
> I can see the point, and no improvement is apparent. It still seems an
> unfortunate outcome, but certainly not worth any of us spending more
> time on it :).
> 
> Thanks Ileana! So glad you've started looking after libtool. --best, karl.

Thank you for your bug reports! I am happy to help and continue to learn
more from experienced hackers :)

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354

Subject: error message improvement: "only absolute run-paths are allowed"
From: Karl Berry <[email-masked]>
To: [email-masked]
Date: Sun, 16 Jun 2024 10:06:16 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

With a libtool invocation like this (comes from the Automake test
instdir-ltlib.sh, which is intentionally testing empty directory values):

/bin/sh ./libtool  --tag=CC   --mode=link cc  -g -O2   -o libfoo.la -rpath  libfoo.lo  

libtool reports:

libtool:   error: only absolute run-paths are allowed

I gather the problem is a missing argument to -rpath, which I see
reported in several places over the years.

I suggest that it would be clearer if the error message included the
offending option and argument, as in:

libtool: error: argument to -rpath is not absolute: libfoo.lo

(I also don't understand why there are three spaces
after "libtool:" instead of one, but whatever.) --thanks, karl.